import * as React from "react";
import { SVGProps } from "react";

import { IiCon } from "@/(types)/IconInterface";
import styles from "@/icons/IconFills.module.scss";

export const TagsIcon = ({ color, width = "24px", height = "24px", fill, ...restProps }: IiCon & SVGProps<SVGSVGElement>) => (
    <svg
        className={styles[`icon_color-${color}`]}
        style={{ width: width, height: height }}
        viewBox="0 0 24 24"
        fill="none"
        xmlns="http://www.w3.org/2000/svg"
        {...restProps}
    >
        <path
            fill={fill}
            // eslint-disable-next-line max-len
            d="M 3.25 3.875 L 5.125 3.875 C 5.633 3.875 6.063 4.305 6.063 4.813 L 6.063 6.688 C 6.063 7.234 5.633 7.625 5.125 7.625 L 3.25 7.625 C 2.703 7.625 2.313 7.234 2.313 6.688 L 2.313 4.813 C 2.313 4.305 2.703 3.875 3.25 3.875 Z M 8.875 4.813 L 20.75 4.813 C 21.258 4.813 21.688 5.242 21.688 5.75 C 21.688 6.297 21.258 6.688 20.75 6.688 L 8.875 6.688 C 8.328 6.688 7.938 6.297 7.938 5.75 C 7.938 5.242 8.328 4.813 8.875 4.813 Z M 8.875 11.063 L 20.75 11.063 C 21.258 11.063 21.688 11.492 21.688 12 C 21.688 12.547 21.258 12.938 20.75 12.938 L 8.875 12.938 C 8.328 12.938 7.938 12.547 7.938 12 C 7.938 11.492 8.328 11.063 8.875 11.063 Z M 8.875 17.313 L 20.75 17.313 C 21.258 17.313 21.688 17.742 21.688 18.25 C 21.688 18.797 21.258 19.188 20.75 19.188 L 8.875 19.188 C 8.328 19.188 7.938 18.797 7.938 18.25 C 7.938 17.742 8.328 17.313 8.875 17.313 Z M 2.313 11.063 C 2.313 10.555 2.703 10.125 3.25 10.125 L 5.125 10.125 C 5.633 10.125 6.063 10.555 6.063 11.063 L 6.063 12.938 C 6.063 13.484 5.633 13.875 5.125 13.875 L 3.25 13.875 C 2.703 13.875 2.313 13.484 2.313 12.938 L 2.313 11.063 Z M 3.25 16.375 L 5.125 16.375 C 5.633 16.375 6.063 16.805 6.063 17.313 L 6.063 19.188 C 6.063 19.734 5.633 20.125 5.125 20.125 L 3.25 20.125 C 2.703 20.125 2.313 19.734 2.313 19.188 L 2.313 17.313 C 2.313 16.805 2.703 16.375 3.25 16.375 Z"
        />
    </svg>
);
